---
updatedAt: 2026-03-09T10:04:03.000Z
agentTools:
  projectIndex: https://docs.bokio.se/llms.txt
---

# Authentication for Private integrations

To access the Bokio API with a Private Integration, you need to pass an integration token that can be obtained in the Bokio app.

## Using Integration token for Company API

To use the Bokio Company API with an Integration token, follow these steps:

### Obtaining the Integration token

1. Log in to the Bokio app.
2. Navigate to the [Integrations page](https://app.bokio.se/integrations).\
   ![Integrations page](https://files.readme.io/2de77bab7a590c772c9e17fc80a75f13cf561648d8e695b10c0e7847a71400b0-image.png)
3. Create integration\
   ![Add integration](https://files.readme.io/d1ef786b239a676617c28d65d1690258635d5f22a160d8c54fd16e0f6dd9b736-image.png)
4. Copy the Integration token provided for your company.\
   ![Copy token](https://files.readme.io/ab776c107a20ac21bf14d74c42243d5759c9c6f56229d81f4c9cc94bd2dc6446-image.png)

### Including the Integration token in Requests

To include your Integration token in requests, you need to add an `Authorization: Bearer` header with the value of your Integration token. The parameter `companyid` should be sent in with every API request to identify the company and can be obtained from the url when you are in Bokio accounting platform.

```http
GET {apiVersion}/companies/{companyid}/some-operation HTTP/1.1
Host: api.bokio.se
Authorization: Bearer <your-integration-token>
```

Make sure to replace `<your-integration-token>` with your actual Integration token.

## Handling Authentication Errors

If you make a request without a valid Integration token or with an expired Integration token, you will receive a `401 Unauthorized` response. Make sure to handle this error and prompt the user to provide a valid Integration token.